package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.PropSet;

/**
 * 资产属性配置Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IPropSetService 
{
    /**
     * 查询资产属性配置
     * 
     * @param id 资产属性配置主键
     * @return 资产属性配置
     */
    public PropSet selectPropSetById(Long id);

    /**
     * 查询资产属性配置列表
     * 
     * @param propSet 资产属性配置
     * @return 资产属性配置集合
     */
    public List<PropSet> selectPropSetList(PropSet propSet);

    /**
     * 新增资产属性配置
     * 
     * @param propSet 资产属性配置
     * @return 结果
     */
    public int insertPropSet(PropSet propSet);

    /**
     * 修改资产属性配置
     * 
     * @param propSet 资产属性配置
     * @return 结果
     */
    public int updatePropSet(PropSet propSet);

    /**
     * 批量删除资产属性配置
     * 
     * @param ids 需要删除的资产属性配置主键集合
     * @return 结果
     */
    public int deletePropSetByIds(Long[] ids);

    /**
     * 删除资产属性配置信息
     * 
     * @param id 资产属性配置主键
     * @return 结果
     */
    public int deletePropSetById(Long id);
}
